Page MenuHomePhabricator

Change database password for tool toolforge: gyan:
Closed, ResolvedPublic

Description

I am the maintainer of this tool https://toolsadmin.wikimedia.org/tools/id/gyan

Before some days I have enabled error reporting on the tool and asked some question on IRC.

As reported by @aborrero on T226372 the error log was showing the database and other credentials. I have disabled the error reporting and taken all steps like using another API key. I also want to change the database password as well.

Thank You in advance

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 16 2019, 5:10 PM
Bstorm added a subscriber: Bstorm.Jul 18 2019, 8:00 PM

I reset your password to a new one @Jnanaranjan_sahu. Please confirm everything works as expected.

bd808 closed this task as Resolved.Jul 22 2019, 11:51 PM
bd808 assigned this task to Bstorm.
bd808 added a subscriber: bd808.

I confirmed that sql enwiki and sql toolsdb both work as the 'gyan' tool account.

Yes, it worked. Thanks a lot.